To use this component you will need to add your own tester:

    ...
    export const AutocompleteControlRendererTester: RankedTester = rankWith(2, isEnumControl);
    ...

Add the tester and renderer to JSONForms registry:

    ...
    { tester: AutocompleteControlRendererTester, renderer: AutocompleteControlRenderer },
    ...

Furthermore you need to update your module.

    ...
    imports: [JsonFormsAngularMaterialModule, MatAutocompleteModule],
    declarations: [AutocompleteControlRenderer],
    entryComponents: [AutocompleteControlRenderer]
    ...

### Hierarchy

- JsonFormsControl
  - AutocompleteControlRenderer

### Implements

- OnInit
- OnDestroy
- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- data
- description
- disabled
- enabled
- error
- filteredOptions
- form
- hidden
- id
- label
- ngRedux
- options
- path
- rootSchema
- schema
- scopedSchema
- shouldFilter
- subscription
- uischema
- validator
- visible

### Methods

- filter
- getEventValue
- getOwnProps
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- onSelect
- triggerValidation
- updateFilter

## Constructors

### constructor

- new AutocompleteControlRenderer(ngRedux: NgRedux<JsonFormsState>): AutocompleteControlRenderer

- Overrides JsonFormsAbstractControl.__constructor

  - Defined in controls/autocomplete.renderer.ts:100

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns AutocompleteControlRenderer

## Properties

### data

data: any

Inherited from JsonFormsAbstractControl.data

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:14

### description

description: string

Inherited from JsonFormsAbstractControl.description

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:16

### disabled

disabled: boolean

Inherited from JsonFormsAbstractControl.disabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:10

### enabled

enabled: boolean

Inherited from JsonFormsAbstractControl.enabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:20

### error

error: string | null

Inherited from JsonFormsAbstractControl.error

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:17

### filteredOptions

filteredOptions: Observable<string[]>

- Defined in controls/autocomplete.renderer.ts:99

### form

form: FormControl

Inherited from JsonFormsAbstractControl.form

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:12

### hidden

hidden: boolean

Inherited from JsonFormsAbstractControl.hidden

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:21

### id

id: string

Inherited from JsonFormsAbstractControl.id

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:9

### label

label: string

Inherited from JsonFormsAbstractControl.label

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:15

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsAbstractControl.ngRedux

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:8

### options

options: string[]

- Defined in controls/autocomplete.renderer.ts:98

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### rootSchema

rootSchema: JsonSchema

Inherited from JsonFormsAbstractControl.rootSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:19

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsAbstractControl.scopedSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:18

### shouldFilter

shouldFilter: boolean

- Defined in controls/autocomplete.renderer.ts:100

### subscription

subscription: Subscription

Inherited from JsonFormsAbstractControl.subscription

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:13

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsAbstractControl.validator

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:26

### visible

visible: boolean

Inherited from JsonFormsAbstractControl.visible

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:11

## Methods

### filter

- filter(val: string): string[]

- - Defined in controls/autocomplete.renderer.ts:132

  #### Parameters

  - ##### val: string

  #### Returns string[]

### getEventValue

- getEventValue(event: any): any

- Overrides JsonFormsAbstractControl.getEventValue

  - Defined in controls/autocomplete.renderer.ts:105

  #### Parameters

  - ##### event: any

  #### Returns any

### Protected getOwnProps

- getOwnProps(): OwnPropsOfAutoComplete

- Overrides JsonFormsAbstractControl.getOwnProps

  - Defined in controls/autocomplete.renderer.ts:139

  #### Returns OwnPropsOfAutoComplete

### mapAdditionalProps

- mapAdditionalProps(props: ControlProps): void

- Inherited from JsonFormsAbstractControl.mapAdditionalProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:27

  #### Parameters

  - ##### props: ControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ControlProps

- Inherited from JsonFormsControl.mapToProps

  Overrides JsonFormsAbstractControl.mapToProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:5

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsAbstractControl.ngOnDestroy

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:28

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Overrides JsonFormsAbstractControl.ngOnInit

  - Defined in controls/autocomplete.renderer.ts:107

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsAbstractControl.onChange

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:24

  #### Parameters

  - ##### ev: any

  #### Returns void

### onSelect

- onSelect(ev: MatAutocompleteSelectedEvent): void

- - Defined in controls/autocomplete.renderer.ts:125

  #### Parameters

  - ##### ev: MatAutocompleteSelectedEvent

  #### Returns void

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsAbstractControl.triggerValidation

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/abstract-control.d.ts:31

  #### Returns void

### updateFilter

- updateFilter(event: any): void

- - Defined in controls/autocomplete.renderer.ts:116

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc